Appointments
Create availability exception
Requires appointments:settings and an account administrator. Omit resource_id to apply the exception to every resource.
POST
/
api
/
v2
/
accounts
/
{accountId}
/
appointments
/
availability
/
exceptions
Create availability exception
curl --request POST \
--url https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/availability/exceptions \
--header 'Content-Type: application/json' \
--data '
{
"ends_at": "2023-11-07T05:31:56Z",
"kind": "closed",
"reason": "Public holiday",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/availability/exceptions"
payload = {
"ends_at": "2023-11-07T05:31:56Z",
"kind": "closed",
"reason": "Public holiday",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ends_at: '2023-11-07T05:31:56Z',
kind: 'closed',
reason: 'Public holiday',
resource_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
starts_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/availability/exceptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"reason": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}Path Parameters
HueChat account ID
Body
application/json
Open or closed time range
⌘I
Create availability exception

